---
updatedAt: 2026-06-02T20:48:49.000Z
agentTools:
  projectIndex: https://docs.zype.com/llms.txt
---

# View Bumper

Retrieve a single bumper from your library

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Playout Scheduler",
    "description": "",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.zype.com/"
    }
  ],
  "security": [
    {
      "api_key": []
    }
  ],
  "paths": {
    "/scheduler/v2/assets/ads": {
      "get": {
        "summary": "List Ads",
        "description": "Retrieve a list of ads from your library",
        "operationId": "listAdsV2",
        "tags": [
          "Assets"
        ],
        "parameters": [
          {
            "name": "id",
            "$ref": "#/paths/~1scheduler~1v2~1assets~1blocks/get/parameters/0"
          },
          {
            "name": "q",
            "in": "query",
            "required": false,
            "schema": {
              "type": "string"
            },
            "description": "Filters by description, title, id"
          },
          {
            "name": "order",
            "$ref": "#/paths/~1scheduler~1v2~1assets~1blocks/get/parameters/2"
          },
          {
            "name": "sort",
            "$ref": "#/paths/~1scheduler~1v2~1assets~1blocks/get/parameters/3"
          },
          {
            "name": "page",
            "$ref": "#/paths/~1scheduler~1v1~1types/get/parameters/0"
          },
          {
            "name": "perPage",
            "$ref": "#/paths/~1scheduler~1v1~1types/get/parameters/1"
          }
        ],
        "responses": {
          "200": {
            "description": "Returns Ads",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "assets": {
                      "type": "object",
                      "title": "Asset",
                      "properties": {
                        "id": {
                          "type": "string"
                        },
                        "externalId": {
                          "type": "string"
                        },
                        "siteId": {
                          "type": "string"
                        },
                        "assetType": {
                          "type": "string",
                          "enum": [
                            "video",
                            "ad",
                            "bumper",
                            "slate"
                          ]
                        },
                        "createdAt": {
                          "type": "string",
                          "format": "date"
                        },
                        "updatedAt": {
                          "type": "string",
                          "format": "date"
                        },
                        "title": {
                          "type": "string"
                        },
                        "description": {
                          "type": "string"
                        },
                        "duration": {
                          "type": "number"
                        },
                        "hasEmbeddedCc": {
                          "type": "boolean"
                        }
                      }
                    },
                    "pagination": {
                      "$ref": "#/paths/~1scheduler~1v1~1types/get/responses/200/content/application~1json/schema/properties/pagination"
                    }
                  }
                }
              }
            }
          },
          "422": {
            "description": "Unprocessable entity",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/paths/~1scheduler~1v1~1types/get/responses/422/content/application~1json/schema"
                }
              }
            }
          }
        }
      }
    },
    "/scheduler/v2/assets/ads/{id}": {
      "get": {
        "summary": "View Ad",
        "description": "Retrieve a single ad from your library",
        "operationId": "getAdV2",
        "tags": [
          "Assets"
        ],
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "ID of video"
          }
        ],
        "responses": {
          "200": {
            "description": "Return video",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "asset": {
                      "$ref": "#/paths/~1scheduler~1v2~1assets~1ads/get/responses/200/content/application~1json/schema/properties/assets"
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "Video not found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/paths/~1scheduler~1v2~1uploads/post/responses/404/content/application~1json/schema"
                }
              }
            }
          }
        }
      }
    },
    "/scheduler/v2/assets/bumpers/{id}": {
      "get": {
        "summary": "View Bumper",
        "description": "Retrieve a single bumper from your library",
        "operationId": "getBumperV2",
        "tags": [
          "Assets"
        ],
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "ID of video"
          }
        ],
        "responses": {
          "200": {
            "description": "Return video",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/paths/~1scheduler~1v2~1assets~1ads~1{id}/get/responses/200/content/application~1json/schema"
                }
              }
            }
          },
          "404": {
            "description": "Video not found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/paths/~1scheduler~1v2~1uploads/post/responses/404/content/application~1json/schema"
                }
              }
            }
          }
        }
      }
    },
    "/scheduler/v2/uploads": {
      "post": {
        "summary": "Create Upload",
        "tags": [
          "Uploads"
        ],
        "operationId": "createUploadPlayout",
        "requestBody": {
          "required": true,
          "content": {
            "multipart/form-data": {
              "schema": {
                "title": "UploadRequest",
                "type": "object",
                "required": [
                  "region",
                  "upload"
                ],
                "properties": {
                  "region": {
                    "type": "string",
                    "title": "Channel region"
                  },
                  "upload": {
                    "type": "string",
                    "format": "binary",
                    "description": "The file to upload."
                  }
                }
              },
              "encoding": {
                "upload": {
                  "contentType": "image/png"
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "title": "Upload",
                  "properties": {
                    "id": {
                      "type": "string",
                      "description": "Upload id"
                    },
                    "height": {
                      "type": "number",
                      "description": "Image height"
                    },
                    "width": {
                      "type": "number",
                      "description": "Image width"
                    },
                    "url": {
                      "type": "string",
                      "description": "Image URL to preview. Expires in 1 hour"
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "Region not found",
            "content": {
              "application/json": {
                "schema": {
                  "title": "NotFound",
                  "type": "object",
                  "required": [
                    "message"
                  ],
                  "properties": {
                    "message": {
                      "type": "string"
                    }
                  }
                }
              }
            }
          },
          "422": {
            "description": "Unprocessable entity",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/paths/~1scheduler~1v1~1types/get/responses/422/content/application~1json/schema"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "api_key": {
        "type": "apiKey",
        "name": "X-API-Key",
        "in": "header"
      }
    }
  }
}
```